package	com.sw.mes.yb.turnstore.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.turnstore.entity.ProductionBindingTrayLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.turnstore.dao.ProductionBindingTrayLogDao;
import com.sw.mes.yb.turnstore.service.ProductionBindingTrayLogService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class ProductionBindingTrayLogServiceImpl extends BaseServiceImpl<ProductionBindingTrayLog> implements ProductionBindingTrayLogService {
    ProductionBindingTrayLogDao dao;
	@Autowired
    public void setDao(ProductionBindingTrayLogDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public void updateByCrystalNo(String crystalNoOld, String crystalNo) {
        dao.updateByCrystalNo(crystalNoOld,crystalNo);
    }

    @Override
    public ProductionBindingTrayLog findByCrystalNo(String crystalNo) {
        return dao.findByCrystalNo(crystalNo);
    }
}
